[tox]
envlist = py36, py37, py38, py39, py310
isolated_build = true
skip_missing_interpreters = true
skipsdist = true

[testenv]
allowlist_externals = coverage
setenv = PYTHONPATH = {toxinidir}
deps = -r {toxinidir}/requirements.txt
commands =
    coverage run --include="*portage_hooks_manager*" \
        -m pytest --basetemp={envtmpdir} {posargs} {toxinidir}/tests
    coverage report --include="*portage_hooks_manager*"
install_command =
    python -m pip install {opts} {packages} {toxinidir}/src/portage-hooks-manager
